/* detect IE - returns version of IE or false, if browser is not Internet Explorer */
function detectIE() {
    var ua = window.navigator.userAgent;

    var msie = ua.indexOf('MSIE ');
    if (msie > 0) {
        // IE 10 or older => return version number
        return parseInt(ua.substring(msie + 5, ua.indexOf('.', msie)), 10);
    }

    var trident = ua.indexOf('Trident/');
    if (trident > 0) {
        // IE 11 => return version number
        var rv = ua.indexOf('rv:');
        return parseInt(ua.substring(rv + 3, ua.indexOf('.', rv)), 10);
    }

    var edge = ua.indexOf('Edge/');
    if (edge > 0) {
        // IE 12 => return version number
        return parseInt(ua.substring(edge + 5, ua.indexOf('.', edge)), 10);
    }

    // other browser
    return false;
}

jQuery(document).ready(
    function() {
        jQuery('.legalpagesprint').click(
            function() {
        
                var target = jQuery(this).attr('data-print_target');
        
                var w = window.open("", "legalpagesprint", "scrollbars=yes");
                w.document.write("<!DOCTYPE html><html><head></head><body></body></html>");

                //title
                //rot in hell, Internet Explorer
                if (detectIE() ) {
                    w.document.title = "LegalPages";
                }
                else{
                    jQuery(w.document.head).append("<title>"+ document.title +"</title>");
                }

                //rot in hell, Internet Explorer
                if (detectIE() ) {

                    jQuery(w.document.body).append(
                        function() {
                            var ieID = target.substr(1);
                            var ieOutput = jQuery(w.document.createElement('div'));
                            if (target.substr(0,1) == '#' ) {
                                ieOutput.attr('id', ieID);
                            } else if (target.substr(0,1) == '.' ) {
                                ieOutput.addClass(ieID);
                            }
                            ieOutput.removeClass('legalpagesprint');
                            var clony = jQuery(target).clone();
                            return ieOutput.append(clony.html());
                        }
                    );

                    //update the print version with the user entered values because IE is hacky like that
                    jQuery(target  + ' input[type=text]').each(
                        function() {
                            var user_val = jQuery(this).val();
                            var elem_id = jQuery(this).attr('id');
                            w.document.getElementById(elem_id).value = user_val;
                        }
                    );
                }
                else{
                    jQuery(w.document.body).append(jQuery(target).clone());
                }
                w.focus();
                w.print();
                w.close();
            }
        );
    }
);
